@echo off

echo ***INICIANDO CARGA DE FW DEL PANEL***

cad150_panel_checksum_flasher .\binarios\a_cir_repeater_V1.0.s19 >NUL
if %errorlevel% LEQ 0 goto ERROR_PANEL
echo  PANEL CARGADO CORRECTAMENTE
PING 1.1.1.1 -n 1 -w 2000 >NUL

cad150_language_flasher .\binarios\REP-LANGUAGE_V34.bin >NUL
if %errorlevel% LEQ 0 goto ERROR_LANGUAGE
echo  LENGUAJE CARGADO CORRECTAMENTE
PING 1.1.1.1 -n 1 -w 2000 >NUL

cad150_net_flasher .\binarios\a_net_card_V1.0.s19 >NUL
if %errorlevel% LEQ 0 goto ERROR_NET
echo  RED CARGADA CORRECTAMENTE

:OK
ECHO "FIRMWARE CARGADO CORRECTAMENTE :)"
pause
exit

:ERROR_NET
ECHO "ERROR AL CARGAR LA RED"
pause
exit

:ERROR_PANEL
ECHO "ERROR AL CARGAR EL FIRMWARE"
pause
exit

:ERROR_LANGUAGE
ECHO "ERROR AL CARGAR EL LENGUAJE"
pause
exit